<%
if respond_to?(:current_component) && current_component && can_be_managed?(current_component)
  edit_link(
    manage_component_path(current_component),
    :read,
    :component,
    component: current_component,
    current_participatory_space: current_participatory_space
  )
end
%>

<div class="off-canvas-wrapper" id="app">
  <div class="off-canvas-wrapper-inner" data-off-canvas-wrapper>
    <div class="off-canvas position-right hide-for-large" data-position="right"
         id="offCanvas" data-off-canvas>
      <!-- Close button -->
      <button class="close-button"
              aria-label="<%= t("layouts.decidim.header.close_menu") %>" type="button"
              data-close>
        <span aria-hidden="true">&times;</span>
      </button>
      <!-- Menu -->
      <div class="hide-for-medium" data-set="nav-holder"></div>
      <div class="hide-for-medium usermenu-off-canvas-holder"
           data-set="nav-login-holder"></div>
    </div>
    <div class="off-canvas-content" data-off-canvas-content>
      <div class="footer-separator">
        <!--separates the footer from the rest of the page,
             creates a sticky footer-->
        <!-- Topbar -->
        <div class="title-bar">
          <% if current_organization.official_img_header? %>
            <%= link_to  current_organization.official_url, class: "logo-cityhall" do %>
              <%= image_tag current_organization.official_img_header.url.to_s , alt: current_organization.name %>
            <% end %>
          <% end %>
          <div class="row column topbar">
            <div class="logo-wrapper">
              <%= render partial: "layouts/decidim/logo", locals: { organization: current_organization } %>
            </div>
            <%= render partial: "layouts/decidim/topbar_search" %>
            <%= render partial: "layouts/decidim/language_chooser" %>
            <div class="hide-for-medium topbar__menu">
              <button type="button" data-toggle="offCanvas">
                <%= icon "menu", aria_label: t("layouts.decidim.header.navigation"), role: "img" %>
              </button>
            </div>
            <% if current_user %>
              <div class="topbar__dropmenu topbar__user__logged">
                <%= link_to decidim.notifications_path, class: "topbar__notifications #{current_user.notifications.any? ? "is-active" : ""}" do %>
                  <%= icon "bell" %>
                <% end %>
                <%= link_to decidim.conversations_path, class: "topbar__conversations #{current_user.unread_conversations.any? ? "is-active" : ""}" do %>
                  <%= icon "envelope-closed" %>
                <% end %>
                <ul class="dropdown menu" data-dropdown-menu>
                  <li class="is-dropdown-submenu-parent show-for-medium">
                    <%= link_to current_user.name, decidim.account_path %>
                    <ul class="menu is-dropdown-submenu js-append usermenu-off-canvas">
                      <%= render partial: "layouts/decidim/user_menu" %>
                    </ul>
                    <span data-set="nav-login-holder" class="show-for-medium">
                      <!-- Repeated due to dropdown limitations -->
                      <ul class="menu is-dropdown-submenu js-append usermenu-off-canvas">
                        <%= render partial: "layouts/decidim/user_menu" %>
                      </ul>
                    </span>
                  </li>
                </ul>
              </div>
            <% else %>
              <div class="topbar__user show-for-medium" data-set="nav-login-holder">
                <div class="topbar__user__login js-append">
                  <% if current_organization.sign_up_enabled? %>
                    <%= link_to t("layouts.decidim.header.sign_up"), decidim.new_user_registration_path, class: "sign-up-link" %>
                  <% end %>
                  <%= link_to t("layouts.decidim.header.sign_in"), decidim.new_user_session_path, class: "sign-in-link" %>
                </div>
              </div>
            <% end %>
            <%= render partial: "layouts/decidim/edit_link" %>
          </div>
        </div>
        <div class="show-for-medium" data-set="nav-holder">
          <nav class="navbar js-append">
            <div class="row column">
              <%= main_menu.render %>
            </div>
          </nav>
        </div>

        <main>
          <%= display_flash_messages %>
          <%= yield %>
        </main>
      </div><!-- /.footer-separator -->
      <div class="main-footer">
        <div class="row">
          <div class="footer-logo">
            <% if current_organization.official_img_footer? %>
              <%= link_to  current_organization.official_url, class: "main-footer__badge" do %>
                <%= image_tag current_organization.official_img_footer.url.to_s , alt: current_organization.name %>
              <% end %>
            <% end %>
          </div>
          <ul class="main__footer__nav footer-nav">
            <% if current_organization.static_pages.any? %>
              <% current_organization.static_page_topics.where(show_in_footer: true).each do |page_topic| %>
                <% if page_topic.pages.any? %>
                  <li><%= link_to translated_attribute(page_topic.title), decidim.page_path(page_topic.pages.first) %></li>
                <% end %>
              <% end %>

              <% current_organization.static_pages.where(show_in_footer: true).each do |page| %>
                <li><%= link_to translated_attribute(page.title), decidim.page_path(page) %></li>
              <% end %>
            <% end %>
            <li><%= link_to t("layouts.decidim.footer.download_open_data"), decidim.open_data_download_path %></li>
            <% if cookies_accepted? %>
              <li><%= link_to t("layouts.decidim.footer.revoke_cookies"), "#", class: "reset-button" %></li>
            <% end %>
          </ul>
          <%= render partial: "layouts/decidim/social_media_links" %>
        </div>
      </div>
      <div class="mini-footer">
        <div class="row">
          <div class="decidim-logo">
            <a rel="decidim" href="https://decidim.org/" target="_blank">
              <%= image_tag("decidim/decidim-logo-mobile--inv.svg", alt: "Decidim Logo" ) %>
            </a>
          </div>
          <a rel="license" class="cc-badge"
             href="http://creativecommons.org/licenses/by-sa/4.0/"
             target="_blank">
            <%= image_tag("decidim/cc-by-sa--inv.svg", alt: "Creative Commons License" ) %>
          </a>
          <div class="mf-text">
            <%= t("layouts.decidim.footer.made_with_open_source").html_safe %>
          </div>
        </div>
      </div>
    </div><!--/.off-canvas-content-->
  </div><!--/.off-canvas-wrapper-inner-->
</div><!--/.off-canvas-wrapper-->
